Description: Ð•Ð°Ð´Ð¾ Ñ•Ð¾Ð·Ð´Ð°Ñ‚ÑŒ ÑƒÐ´Ð¾Ð±Ð½ÑƒÑŽ Ñ•Ñ‚Ñ€ÑƒÐºÑ‚ÑƒÑ€Ñƒ ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð¾Ð².

ÐŸÐ¾Ð¶ÐµÐ»Ð°Ð½Ð¸Ñ•:

- Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·Ð¾Ð²Ñ‚ÑŒ Subversion Ð´Ð»Ñ• Ð¾Ð±Ð¼ÐµÐ½Ð° Ð¼ÐµÐ¶Ð´Ñƒ 

Ð¿Ñ€Ð¾ÐµÐºÑ‚Ð°Ð¼Ð¸

- Ð²Ð¼ÐµÑ•Ñ‚Ðµ Ðº ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð¾Ð¼ Ð´Ð¾Ð»Ð¶Ð½Ð° Ð±Ñ‹Ñ‚ÑŒ 

Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸Ñ• Ð¸ Ð¼Ð¾Ð´ÐµÐ»ÑŒ

- Ð² Ñ†ÐµÐ»ÐµÐ²Ð¾Ð¹ Ð¿Ñ€Ð¾ÐµÐºÑ‚ Ð¼Ð¾Ð¶ÐµÑ‚ Ð²ÐºÐ»ÑŽÑ‡Ð°Ñ‚ÑŒÑ•Ñ• Ð¼Ð½Ð¾Ð³Ð¾ 

ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð¾Ð²

History

08/30/2012 12:39 am - Dmitry Smekhov

- Status changed from New to Confirmed

ÐŸÑ€ÐµÐ´Ð»Ð¾Ð¶ÐµÐ½Ð¸Ðµ - Ð´ÐµÐ»Ð°ÐµÐ¼ Ñ‚Ð°ÐºÑƒÑŽ Ñ•Ñ‚Ñ€ÑƒÐºÑ‚ÑƒÑ€Ñƒ:

Ð’Ð½ÑƒÑ‚Ñ€Ð¸ trunk:

rtl - Ñ•Ð¾Ð±Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð¾ Ñ„Ð°Ð¹Ð»Ñ‹ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð¾Ð²

doc - Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸Ñ•

sim - Ð¼Ð¾Ð´ÐµÐ»Ð¸



Ð’Ð½ÑƒÑ‚Ñ€Ð¸ ÐºÐ°Ð¶Ð´Ð¾Ð³Ð¾ Ð¸Ð· Ñ•Ñ‚Ð¸Ñ… ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð¾Ð² Ñ•ÑƒÑ‰ÐµÑ•Ñ‚Ð²ÑƒÑŽÑ‚ ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð¸ Ñ• 

Ð½Ð°Ð·Ð²Ð°Ð½Ð¸ÐµÐ¼ Ð³Ñ€ÑƒÐ¿Ð¿Ñ‹:

FIFO - Ð²Ñ•Ñ‘ Ð´Ð»Ñ• FIFO

CLK - Ð²Ñ•Ñ‘ Ð´Ð»Ñ• Ð¾Ð±Ñ€Ð°Ð±Ð¾Ñ‚ÐºÐ¸ CLK - Ð¿ÐµÑ€ÐµÑ‚Ð°ÐºÑ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ, Ð°Ð²Ñ‚Ð¾Ð¿Ð¾Ð´Ñ•Ñ‚Ñ€Ð¾Ð¹ÐºÐ° Ð¸ Ñ‚.Ð´.

Ð“Ñ€ÑƒÐ¿Ð¿Ñ‹ Ñ„Ð¾Ñ€Ð¼Ð¸Ñ€ÑƒÐµÐ¼ Ð¿Ð¾ Ð¼ÐµÑ€Ðµ Ð½Ð°Ð´Ð¾Ð±Ð½Ð¾Ñ•Ñ‚Ð¸.



Ð’Ð½ÑƒÑ‚Ñ€Ð¸ Ð³Ñ€ÑƒÐ¿Ð¿Ñ‹ - ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð¸ Ñ• Ð½Ð°Ð·Ð²Ð°Ð½Ð¸ÐµÐ¼ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð°,

Ð½Ð°Ð¿Ñ€Ð¸Ð¼ÐµÑ€

fifo/fifo_v7

clk/clk_reclock_v1



Ð’Ð½ÑƒÑ‚Ñ€Ð¸ Ñ•Ñ‚Ð¾Ð³Ð¾ ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð° - Ñ•Ð¾Ð±Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð¾ Ñ„Ð°Ð¹Ð»Ñ‹.



ÐŸÐ¾Ð»ÑƒÑ‡Ð°ÐµÑ‚Ñ•Ñ•, ÐºÐ°Ð¶Ð´Ñ‹Ð¹ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚ Ð½Ð°Ñ…Ð¾Ð´Ð¸Ñ‚Ñ•Ñ• Ð² Ñ‚Ñ€Ñ‘Ñ… Ð²ÐµÑ‚ÐºÐ°Ñ… - 

ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚, ÐµÐ³Ð¾ Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸Ñ•, ÐµÐ³Ð¾ Ð¼Ð¾Ð´ÐµÐ»ÑŒ

Ð”Ð»Ñ• Ð´Ð¾Ð±Ð°Ð²Ð»ÐµÐ½Ð¸Ñ• Ð² Ñ†ÐµÐ»ÐµÐ²Ð¾Ð¹ Ð¿Ñ€Ð¾ÐµÐºÑ‚ Ð½Ð°Ð´Ð¾ Ð±ÑƒÐ´ÐµÑ‚ Ð¸Ð·Ð²Ð»ÐµÑ‡ÑŒ  Ñ‚Ñ€Ð¸ 

ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð° - Ñ‚Ð¾Ð¶Ðµ Ð² Ñ•Ð²Ð¾Ð¸ Ð²ÐµÑ‚ÐºÐ¸. ÐœÐ¾Ð¶Ð½Ð¾ Ð¸Ð·Ð²Ð»ÐµÑ‡ÑŒ Ñ‚Ð¾Ð»ÑŒÐºÐ¾ rtl - Ð±ÐµÐ· Ð¼Ð¾Ð´ÐµÐ»Ð¸ 

Ð¸ Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸Ð¸.



Ð’ Ð½Ð°Ñ•Ñ‚Ð¾Ñ•Ñ‰Ð¸Ð¹ Ð¼Ð¾Ð¼ÐµÐ½Ñ‚ Ñ•Ñ‚Ñ€ÑƒÐºÑ‚ÑƒÑ€Ð° ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð¾Ð² Ð² Ñ…Ñ€Ð°Ð½Ð¸Ð»Ð¸Ñ‰Ðµ Ð´Ñ€ÑƒÐ³Ð°Ñ•, Ð² 

Ð¾Ð´Ð½Ð¾Ð¼ ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ðµ ÐµÑ•Ñ‚ÑŒ rtl, Ð¼Ð¾Ð´ÐµÐ»ÑŒ, Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸Ñ•. ÐÑ‚Ð¾ Ð¿Ñ€Ð¸Ð²ÐµÐ´Ñ‘Ñ‚ Ðº 

Ñ‚Ñ€ÑƒÐ´Ð½Ð¾Ñ•Ñ‚Ñ•Ð¼ Ð² Ñ†ÐµÐ»ÐµÐ²Ð¾Ð¼ Ð¿Ñ€Ð¾ÐµÐºÑ‚Ðµ. Ð•Ñ•Ð»Ð¸ Ð±ÑƒÐ´ÐµÑ‚ Ð¸Ð·Ð²Ð»ÐµÑ‡ÐµÐ½Ð¾ Ð¼Ð½Ð¾Ð³Ð¾ 

ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÑ‚Ð¾Ð², Ñ‚Ð¾ Ð²Ð¾Ð·Ð½Ð¸ÐºÐ½ÑƒÑ‚ Ñ‚Ñ€ÑƒÐ´Ð½Ð¾Ñ•Ñ‚Ð¸ Ñ• Ð½Ð°Ñ•Ñ‚Ñ€Ð¾Ð¹ÐºÐ¾Ð¹ Ñ•Ð¸Ð½Ñ‚ÐµÐ·Ð°.



Ð•Ñ•Ñ‚ÑŒ Ð´Ñ€ÑƒÐ³Ð¸Ðµ Ð¿Ñ€ÐµÐ´Ð»Ð¾Ð¶ÐµÐ½Ð¸Ñ• ?
09/02/2012 12:19 pm - Igor Kazinov

Ð•Ñ•Ñ‚ÑŒ Ð²Ð¾Ð¿Ñ€Ð¾Ñ• - Ð° Ð¿Ð¾Ñ‡ÐµÐ¼Ñƒ Ñ•Ñ‚Ñ€ÑƒÐºÑ‚ÑƒÑ€Ð°, ÐºÐ¾Ð³Ð´Ð° Ð² Ð¾Ð´Ð½Ð¹Ð¾ Ð¿Ð°Ð¿ÐºÐµ ÐµÑ•Ñ‚ÑŒ rtl/doc/sim 

Ð¿Ñ€Ð¸Ð²ÐµÐ´Ñ‘Ñ‚ Ðº Ñ‚Ñ€ÑƒÐ´Ð½Ð¾Ñ•Ñ‚Ñ•Ð¼ ? ÐŸÐ¾ Ð¼Ð¾ÐµÐ¼Ñƒ, Ñ•Ñ‚Ð¾ ÑƒÐ´Ð¾Ð±Ð½Ð¾ - Ð²Ñ•Ñ‘ Ð² Ð¾Ð´Ð½Ð¾Ð¼ 

Ñ„Ð»Ð°ÐºÐ¾Ð½Ðµ.

Ð¢Ð°Ðº Ð¶Ðµ Ð¸Ð½Ñ‚ÐµÑ€ÐµÑ•Ð½Ð¾ Ð±Ñ‹Ð»Ð¾ Ð±Ñ‹ Ð¾Ð±Ñ•ÑƒÐ´Ð¸Ñ‚ÑŒ ÐºÑ€Ð¾Ñ•Ñ•-Ñ•Ñ•Ñ‹Ð»ÐºÐ¸ Ð¸Ð· Ð¾Ð´Ð½Ð¾Ð³Ð¾ 

Ð¿Ñ€Ð¾ÐµÐºÑ‚Ð° Ð½Ð° Ð´Ñ€ÑƒÐ³Ð¾Ð¹ - ÐºÐ¾Ð³Ð´Ð°, Ð½Ð°Ð¿Ñ€Ð¸Ð¼ÐµÑ€, Ð¾Ð´Ð¸Ð½ Ð±Ð¾Ð»ÑŒÑˆÐ¾Ð¹ Ð¿Ñ€Ð¾ÐµÐºÑ‚ 

Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚ Ð¿Ð°Ñ€Ð¾Ñ‡ÐºÑƒ Ð¼Ð°Ð»ÐµÐ½ÑŒÐºÐ¸Ñ… Ð¸Ð· FPGA_COMPONENTS. Ð¯ Ð¿Ñ€Ð¸Ð½Ñ†Ð¸Ð¿Ðµ Ð²Ð¸Ð¶Ñƒ 

Ñ•Ñ‚Ð¾ ÐºÐ°Ðº Ð¿Ñ€Ð¾Ñ•Ñ‚Ð¾Ð¹ checkout Ð½ÑƒÐ¶Ð½Ñ‹Ñ… Ð¿Ð°Ð¿Ð¾Ðº Ð¸Ð· SVN (Ñ•Ð¼Ð¾Ñ‚Ñ€Ð¸Ð¼ Ð² 

Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸ÑŽ) Ð¸Ñ•Ñ…Ð¾Ð´Ñ• Ð¸Ð· Ñ‚Ð¾Ð³Ð¾ Ñ‡Ñ‚Ð¾ trunk - Ñ•Ñ‚Ð¾ ÐºÐ¾Ñ€ÐµÐ½ÑŒ. Ð¥Ð¾Ñ‚ÐµÐ»Ð¾Ñ•ÑŒ Ð±Ñ‹ 

ÑƒÑ•Ð»Ñ‹ÑˆÐ°Ñ‚ÑŒ Ð´Ñ€ÑƒÐ³Ð¸Ðµ Ð²Ð°Ñ€Ð¸Ð°Ð½Ñ‚Ñ‹.

09/03/2012 07:33 am - Dmitry Smekhov

Ð•Ñ•Ð»Ð¸ Ð²Ñ•Ñ‘ Ð² Ð¾Ð´Ð½Ð¾Ð¼ ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ðµ, Ð¸ Ð² Ñ†ÐµÐ»ÐµÐ²Ð¾Ð¼ Ð¿Ñ€Ð¾ÐµÐºÑ‚Ðµ Ð±ÑƒÐ´ÐµÑ‚ Ð¼Ð½Ð¾Ð³Ð¾ 

ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð¾Ð², Ñ‚Ð¾ Ð¿Ñ€Ð¸Ð´Ñ‘Ñ‚Ñ•Ñ• Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚ÑŒ Ð¸ Ñ•Ð½Ð¸Ð¼Ð°Ñ‚ÑŒ Ð¼Ð½Ð¾Ð³Ð¾ Ð³Ð°Ð»Ð¾Ñ‡ÐµÐº Ð¿Ñ€Ð¸ 

Ð½Ð°Ñ•Ñ‚Ñ€Ð¾Ð¹ÐºÐµ Ñ•Ð¸Ð½Ñ‚ÐµÐ·Ð°. Ð¥Ð¾Ñ‚Ñ• Ñ•Ñ‚Ð¾ Ð±ÑƒÐ´ÐµÑ‚ Ñ•Ð¿Ð¾Ñ•Ð¾Ð±Ñ•Ñ‚Ð²Ð¾Ð²Ð°Ñ‚ÑŒ Ð¸Ð·ÑƒÑ‡ÐµÐ½Ð¸ÑŽ 

Ð¼Ð°Ñ‚Ñ‡Ð°Ñ•Ñ‚Ð¸. Ð•Ñ•Ð»Ð¸ Ð¾Ð½Ð¸ Ð² Ñ€Ð°Ð·Ð½Ñ‹Ñ… ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð°Ñ…, Ñ‚Ð¾ Ð² Ñ•Ð¸Ð½Ñ‚ÐµÐ· Ð²ÐºÐ»ÑŽÑ‡Ð°ÐµÐ¼ Ð²Ñ•ÑŽ 

Ð¸ÐµÑ€Ð°Ñ€Ñ…Ð¸ÑŽ rtl, Ð° Ð¿Ñ€Ð¸ Ð¼Ð¾Ð´ÐµÐ»Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ð¸ - Ð²Ñ•ÑŽ Ð¸ÐµÑ€Ð°Ñ€Ñ…Ð¸ÑŽ rtl Ð¸ sim;



Ð•Ñ•Ñ‚ÑŒ Ð´Ð²Ð° Ð²Ð°Ñ€Ð¸Ð°Ð½Ñ‚Ð° Ð²ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¸Ñ• ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð° Ð² Ñ†ÐµÐ»ÐµÐ²Ð¾Ð¹ Ð¿Ñ€Ð¾ÐµÐºÑ‚:

1. Ð¿Ñ€Ð¾Ñ•Ñ‚Ð¾Ð¹ checkout

2. ÐµÑ•Ð»Ð¸ Ñ†ÐµÐ»ÐµÐ²Ð¾Ð¹ Ð¿Ñ€Ð¾ÐµÐºÑ‚ Ñ•Ð°Ð¼ Ð½Ð°Ñ…Ð¾Ð´Ð¸Ñ‚Ñ•Ñ• Ð¿Ð¾Ð´ SVN, Ñ‚Ð¾ ÐºÐ°ÐºÐ¾Ð¼Ñƒ Ñ‚Ð¾ 

ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ñƒ Ð¼Ð¾Ð¶Ð½Ð¾ Ð¿Ñ€Ð¸Ñ•Ð²Ð¾Ð¸Ñ‚ÑŒ Ñ•Ð²Ð¾Ð¹Ñ•Ñ‚Ð²Ð¾ external Ð¸ ÑƒÐºÐ°Ð·Ð°Ñ‚ÑŒ Ð¿ÑƒÑ‚ÑŒ Ðº 

ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð°Ð¼ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð¾Ð². Ð’ Ñ•Ñ‚Ð¾Ð¼ Ñ•Ð»ÑƒÑ‡Ð°Ðµ Ð¸Ð·Ð²Ð»ÐµÑ‡ÐµÐ½Ð¸Ðµ Ð¸ Ñ„Ð¸ÐºÑ•Ð°Ñ†Ð¸Ñ• 

Ñ†ÐµÐ»ÐµÐ²Ð¾Ð³Ð¾ Ð¿Ñ€Ð¾ÐµÐºÑ‚Ð° Ð¸ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð¾Ð² Ð±ÑƒÐ´ÐµÑ‚ Ð¿Ñ€Ð¾Ð¸Ñ•Ñ…Ð¾Ð´Ð¸Ñ‚ÑŒ 

Ð¾Ð´Ð½Ð¾Ð²Ñ€ÐµÐ¼ÐµÐ½Ð½Ð¾.

09/03/2012 11:05 pm - Dmitry Smekhov

Ð’ Ñ€ÐµÐ·ÑƒÐ»ÑŒÑ‚Ð°Ñ‚Ðµ Ð¾Ð±Ñ•ÑƒÐ¶Ð´ÐµÐ½Ð¸Ñ• Ð¾Ñ•Ñ‚Ð°Ñ‘Ñ‚Ñ•Ñ• Ð²Ð°Ñ€Ð¸Ð°Ð½Ñ‚ Ð¾Ð´Ð½Ð¾Ð³Ð¾ ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³Ð° Ð´Ð»Ñ• 

ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð°.

ÐŸÑ€Ð¸Ð¼ÐµÑ€:

fifo/fifo_v7 - ÐºÐ°Ñ‚Ð°Ð»Ð¾Ð³ ÐºÐ¾Ð¼Ð¿Ð¾Ð½ÐµÐ½Ñ‚Ð°

Ð½ÐµÐ¿Ð¾Ñ•Ñ€ÐµÐ´Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð¾ Ð² Ð½Ñ‘Ð¼ - Ñ•Ð¸Ð½Ñ‚ÐµÐ·Ð¸Ñ€ÑƒÐµÐ¼Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹

simulation - Ð¼Ð¾Ð´ÐµÐ»ÑŒ

doc - Ð´Ð¾ÐºÑƒÐ¼ÐµÐ½Ñ‚Ð°Ñ†Ð¸Ñ•

core - Ð½ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼Ñ‹Ðµ IP Core
